> ## Documentation Index
> Fetch the complete documentation index at: https://whitebit-mintlify-all-trading-types-1774625328.mintlify.site/llms.txt
> Use this file to discover all available pages before exploring further.

# Market Info

> The endpoint retrieves all information about available spot and futures markets.

<Note>
The API caches the response for 1 second
</Note>

<Warning>
Rate limit 2000 requests/10 sec.
</Warning>




## OpenAPI

````yaml /openapi/public/http-v4.yaml GET /api/v4/public/markets
openapi: 3.0.3
info:
  title: Public HTTP API V4
  description: >
    WhiteBIT Public HTTP API V4 for market data and trading information.

    Base URL: https://whitebit.com

    All endpoints return time in Unix-time format.

    All endpoints return either a JSON object or array.

    Use HTTP method GET for API calls.

    Send parameters as query string when an endpoint requires them.


    <Warning>

    Rate limit: 2000 requests/10 sec for most endpoints (specific limits noted
    per endpoint).

    </Warning>
  version: 4.0.0
servers:
  - url: https://whitebit.com
    description: WhiteBIT Global Server
  - url: https://whitebit.eu
    description: WhiteBIT EU Server
security: []
tags:
  - name: Public API V4
    description: Public endpoints for market data, trading information, and platform status
paths:
  /api/v4/public/markets:
    get:
      tags:
        - Public API V4
      summary: Market Info
      description: >
        The endpoint retrieves all information about available spot and futures
        markets.


        <Note>

        The API caches the response for 1 second

        </Note>


        <Warning>

        Rate limit 2000 requests/10 sec.

        </Warning>
      parameters: []
      responses:
        '200':
          description: Successful response
          content:
            application/json:
              schema:
                type: array
                items:
                  type: object
                  required:
                    - name
                    - stock
                    - money
                    - stockPrec
                    - moneyPrec
                    - feePrec
                    - makerFee
                    - takerFee
                    - minAmount
                    - minTotal
                    - tradesEnabled
                    - type
                  properties:
                    name:
                      type: string
                      description: Market pair name
                      example: SON_USD
                    stock:
                      type: string
                      description: Ticker of stock currency
                      example: SON
                    money:
                      type: string
                      description: Ticker of money currency
                      example: USD
                    stockPrec:
                      type: string
                      description: Stock currency precision
                      example: '3'
                    moneyPrec:
                      type: string
                      description: Precision of money currency
                      example: '2'
                    feePrec:
                      type: string
                      description: Fee precision
                      example: '4'
                    makerFee:
                      type: string
                      description: Default maker fee ratio
                      example: '0.001'
                    takerFee:
                      type: string
                      description: Default taker fee ratio
                      example: '0.001'
                    minAmount:
                      type: string
                      description: Minimal amount of stock to trade
                      example: '0.001'
                    minTotal:
                      type: string
                      description: Minimal amount of money to trade
                      example: '0.001'
                    maxTotal:
                      type: string
                      description: Maximum total (amount * price) of money to trade
                      example: '10000000000'
                    tradesEnabled:
                      type: boolean
                      description: Indicates whether trading is enabled
                      example: true
                    isCollateral:
                      type: boolean
                      description: Indicates whether margin trading is enabled
                      example: true
                    type:
                      type: string
                      description: 'Market type. Possible values: spot, futures'
                      enum:
                        - spot
                        - futures
                      example: spot
        default:
          description: Error response
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/ErrorV4'
components:
  schemas:
    ErrorV4:
      type: object
      properties:
        success:
          type: boolean
          example: false
        message:
          type: string
          description: Error message
          example: ERROR MESSAGE
        params:
          type: array
          items:
            type: string
          example: []

````